# BioFormatsImageInfo

Metadata extraction tool based on Bio-Formats

## make package

```shell
mvn package
```

## run

```shell
./target/dist/bin/bioformats-imageinfo "[OPTION]" "[path to image file]"
```

### run by jar

```shell
java -jar ./target/dist/lib/bioformats-imageinfo-1.2.4.jar "[OPTION]" "[path to image file]"
```

### run by fat jar

```shell
java -jar ./target/bioformats-imageinfo-1.2.4-jar-with-dependencies.jar "[OPTION]" "[path to image file]"
```

### OPTION

```shell
-M output metadata
-T output thumbnail
```

## library usage

```java
import java.util.LinkedHashMap;
import java.util.Map;
import jp.riken.neurodata.tools.BioFormatsImageInfo;
import jp.riken.neurodata.tools.BioFormatsImageException;
import jp.riken.neurodata.tools.BioFormatsImageThumbnail;

String path = "[path to image file]";
String format = "";
Map<String, Object> metadata = new LinkedHashMap<String, Object>();
Map<String, Object> thumbnail = new LinkedHashMap<String, Object>();

try {
  format = BioFormatsImageInfo.readMetadata(path, metadata);
  BioFormatsImageThumbnail.readThumbnail(path, thumbnail);
} catch (BioFormatsImageException e) {
  // error occurred
  e.printStackTrace();
}
```
